<?php
if ( !class_exists('Magazine_Shop_Dashboard_Notice') ):

    class Magazine_Shop_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->magazine_shop_show_hide_notice() ){

	            if( is_multisite() ){

                  add_action( 'network_admin_notices',array( $this,'magazine_shop_admin_notiece' ) );

                } else {

                  add_action( 'admin_notices',array( $this,'magazine_shop_admin_notiece' ) );
                }
	        }
	        add_action( 'wp_ajax_magazine_shop_notice_dismiss', array( $this, 'magazine_shop_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'magazine_shop_notice_clear_cache' ) );

        }
        

        public function magazine_shop_hide_all_admin_notice(){

            remove_all_actions('admin_notices');
            remove_all_actions('all_admin_notices');

        }
        
        public static function magazine_shop_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('twp_magazine_shop_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

        	// Hide if dismiss notice
        	if( get_option('twp_magazine_shop_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Demo_Import_Kit_Class' ) && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function magazine_shop_admin_notiece(){ ?>

            <div class="updated notice is-dismissible twp-magazine-shop-notice">

                <h3><?php esc_html_e('Quick Setup','magazine-shop'); ?></h3>

                <p><strong><?php esc_html_e('Magazine Shop is now installed and ready to use. Are you looking for a better experience to set up your site?','magazine-shop'); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'magazine-shop'); ?> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'magazine-shop'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/magazine-shop-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','magazine-shop'); ?></span>
                    </a>

                    <a class="button button-primary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and activate recommended plugins','magazine-shop'); ?></span>
                    </a>

                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://demo.themeinwp.net/magazine-shop' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('View Demo','magazine-shop'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url('https://wordpress.org/support/theme/magazine-shop/reviews/?filter=5'); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review', 'magazine-shop'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','magazine-shop'); ?></a>

                </p>

            </div>

        <?php
        }

        public function magazine_shop_notice_dismiss(){

        	if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'magazine_shop_ajax_nonce' ) ) {

	        	update_option('twp_magazine_shop_admin_notice','hide');

	        }

            die();

        }

        public function magazine_shop_notice_clear_cache(){

        	update_option('twp_magazine_shop_admin_notice','');

        }

    }

    new Magazine_Shop_Dashboard_Notice();
    
endif;
